### Function

# Aravis get_device_address

since: 0.6.0

#### Declaration [src]

    const char*
    arv_get_device_address (
      unsigned int index
    )

#### Description [src]

The index of a device may change after a call to arv_update_device_list().

Available since: 0.6.0

#### Parameters

`index`

  Type: `unsigned int`

  Device index.

#### Return value

Type: `const char*`

The address of the device corresponding to `index` as a string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.